module Rubapi
  class Request
    attr_accessor :params,
                  :errors,
                  :route,
                  :pagination

    def initialize
      self.params = {}
      self.pagination = default_pagination
    end

    def parse(param_string)
      self.params = self.params.merge(Rack::Utils.parse_nested_query(param_string))
    end

    def default_pagination
      {
        per_page: 10
      }
    end
  end
end
